:host {
  /*Applied on the component's host tag itself*/
  --display: block;
  --grid-template-columns: 50% 50%;
  --second-to-last-btm-border: solid;
}

/*Apply the values to only div.news-card img tags*/
:host(img) {
  /*The max-width allowed <img> width for each item's news-card*/
  --img-max-width: 100px;
  /*Remove image from the DOM, leaving only news-card text; or shows it ('inline-block')*/
  --img-display: inline-block;
}

/*Apply the values to only div.news-card*/
:host(div.news-card) {
  /*Set the in-news-card column-gap between the image and text container*/
  --column-gap-img-text: 12px;
  /*Set the first arg in 'grid-template-columns', allocated as the column width for the <img>, within the card.*/
  --grid-temp-col-width-img: auto;
  /*Set the second arg in 'grid-template-columns', the column width for the text container (news desc and date).*/
  --grid-temp-col-width-txt: 70%;
}

p {
  margin-bottom: 0; /*override mat-h2, mat-p specificity of 16px*/
}

h2 {
  background-color: var(--primary-colour800);
  color: white;
  padding: 8px 12px;
  margin-bottom: 16px; /*override mat-h2 specificity, making use it is explicitly defined*/
}

h3 {
  margin-bottom: 12px; /*Also serves to override mat-h3 specificity of 16px*/
}

img {
  display: var(--img-display, inline-block); /*inline-block for custom css if not 'none'*/
  max-width: var(--img-max-width, 100px);
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

/*TODO Make container customisable into two columns*/
#cards {
  display: var(--display, block);
  grid-template-columns:  var(--grid-template-columns, 50% 50%);
}

.news-card {
  display: grid;
  /*In the default state, sets wrap-content on image;
  When Custom Property is invoked, take on values set via :host*/
  grid-template-columns: minmax(var(--grid-temp-col-width-img, auto), max-content)
                         minmax(var(--grid-temp-col-width-txt, 70%), min-content);
  column-gap: var(--column-gap-img-text, 12px);
  justify-content: start; /*Ensures that leftover space is to the Rightmost side*/
  padding: 0 4px;
}

.news-card:not(:last-child) {
  border-bottom: solid 2px var(--primary-colour800);
  /*Pad and margin combo gives bottom border the effect of being centred*/
  padding-bottom: 12px;
  margin-bottom: 12px;
}

.news-card:last-child {
  padding-bottom: 16px;
}

.news-card:nth-last-child(2) {
  /*Positioned last to override the second-to-last bottom border when showing multiple grid-columns;
  this is done by setting --second-to-last-btm-border to "none" in the implementing component*/
  border-bottom: var(--second-to-last-btm-border, solid) 2px var(--primary-colour800);
}
